# These lines define a route using YAML configuration. The controller used by
# the route (FrameworkBundle:Template:template) is a convenient shortcut when
# the template can be rendered without executing any logic in your own controller.
# See https://symfony.com/doc/current/templates.html#rendering-a-template-directly-from-a-route
homepage:
    path: /admin
    controller: App\Controller\SecurityController::login
    defaults:
        template: backend/login.html.twig

controllers:
    resource:
        path: '../src/Controller/'
        namespace: App\Controller
    type: attribute
    prefix: /

api_post_getCustomerData:
    path:       /api/getCustomerData
    controller: Violution\MDCApiBundle\Controller\RestController::getCustomerData
    methods:    POST|OPTIONS

api_post_setCustomerData:
    path: /api/setCustomerData
    controller: Violution\MDCApiBundle\Controller\RestController::setCustomerData
    methods: POST|OPTIONS

api_put_sendQRCodeForValidation:
    path: /api/sendQRCodeForValidation
    controller: Violution\MDCApiBundle\Controller\RestController::sendQRCodeForValidation
    methods: POST|OPTIONS

api_get_getKBADocuments:
    path: /api/getKBADocuments
    controller: Violution\MDCApiBundle\Controller\RestController::getKBADocuments
    methods: GET|OPTIONS

api_get_checkDB:
    path: /api/checkDB
    controller: Violution\MDCApiBundle\Controller\RestController::checkDB
    methods: GET|OPTIONS

api_get_checkMailer:
    path: /api/checkMailer
    controller: Violution\MDCApiBundle\Controller\RestController::checkMailer
    methods: GET|OPTIONS

api_get_checkConnection:
    path: /api/checkConnection
    controller: Violution\MDCApiBundle\Controller\RestController::checkConnection
    methods: GET|OPTIONS

api_post_verifyCustomerLink:
    path: /api/verify-customer-link
    controller: Violution\MDCApiBundle\Controller\RestController::verifyCustomerLink
    methods: GET|OPTIONS

api_post_verifyMollieResponse:
    path: /api/verify-mollieResponse
    controller: Violution\MDCApiBundle\Controller\RestController::verifyMollieResponse
    methods: GET|OPTIONS

api_post_mollierequest:
        path: /api/mollierequest
        controller: Violution\MDCApiBundle\Controller\RestController::mollieRequest
        methods: POST|OPTIONS